# OpenShaderDesigner: OpenShaderDesigner::Window Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Window Class Reference

## Classes

struct | Configuration

## Public Types

enum class | VSyncMode : int { DISABLED = 0 , ENABLED = 1 , ADAPTIVE = -1 , DEFAULT = DISABLED }
enum class | FullscreenMode : int { WINDOWED = 0 , FULLSCREEN = SDL_WINDOW_FULLSCREEN , FULLSCREEN_WINDOW = SDL_WINDOW_FULLSCREEN_DESKTOP }

## Public Member Functions

| Window (const Configuration &config)
void | HandleEvents ()
void | BeginFrame ()
void | EndFrame ()
void | Close ()
bool | IsOpen () const
SDL_Window * | GetHandle ()
const SDL_Window * | GetHandle () const
SDL_GLContext | GetContext ()
const SDL_GLContext | GetContext () const
glm::ivec2 | Size () const

## Static Public Attributes

static const Configuration | DefaultConfiguration

The documentation for this class was generated from the following files:

- Include/Core/Window.h
- Source/Core/Window.cpp